<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
    <title>{% block title %}Welcome!{% endblock %}</title>
    {% stylesheets %}
    {% endstylesheets %}
    <link rel="stylesheet" type="text/css" media="screen" href="{{ asset('app.css') }}"/>

    <link rel="icon" type="image/x-icon" href="{{ asset('favicon.ico?v1') }}"/>
</head>
<body>

<nav class="">

    <ul class="nav navbar-nav">

        <li>
            <img src="{{ asset('img/logo.png') }}" class="logo"/>
        </li>

        {% if not app.user %}
            <li class="pull-right">
                <a href="{{ path('fos_user_registration_register') }}">S'inscrire</a>
            </li>
            <li class="pull-right"><a href="{{ path('fos_user_security_login') }}">Se connecter</a></li>
        {% else %}

            {% set curRoute = app.request.attributes.get('_route') %}

            {% if is_granted('ROLE_TEMPLATER') %}
                <li class="{{ curRoute == 'dashboard_my_template'? 'active' : '' }}">
                    <a href="{{ path('dashboard_my_template') }}">
                        <i class="fa fa-folder"></i> Mes templates
                    </a>
                </li>

                <li class="separator"><span></span></li>
            {% endif %}

            {% if is_granted('ROLE_VALIDATOR') %}
                <li class="{{ curRoute == 'dashboard_template_to_validate'? 'active' : '' }}">
                    <a href="{{ path('dashboard_template_to_validate') }}">
                        <i class="fa fa-key"></i> Template en validation
                    </a>
                </li>

                <li class="separator"><span></span></li>
            {% endif %}



            <li class="{{ curRoute == 'homepage'? 'active' : '' }}">
                <a href="{{ path('homepage') }}">
                    <i class="fa fa-pencil"></i> Mes documents
                </a>
            </li>

            <li class="{{ curRoute == 'dashboard_available_docs'? 'active' : '' }}">
                <a href="{{ path('dashboard_available_docs') }}">
                    <i class="fa fa-archive"></i> Bibliothèque
                </a>
            </li>

            {% if is_granted('ROLE_TEMPLATER') %}
                <li class="separator"><span></span></li>

                <li class="{{ curRoute == 'template_create'? 'active' : '' }}">
                    <a href="{{ path('template_create') }}">
                        <i class="fa fa-plus"></i> Créer un template
                    </a>
                </li>
            {% endif %}


            <li class="pull-right">

            </li>

            <li class="pull-right settings-menu">
                <a href="#" class="display-settings"><i class="fa fa-cog"></i></a>

                <div class="settings-links">
                    <a href="">Mon compte</a>
                    <hr/>
                    {% if is_granted('ROLE_ADMIN') %}
                        <a href="{{ path('template_company_index') }}">Templates</a>
                        <a href="{{ path('user_index') }}">Utilisateurs</a>
                        <a href="{{ path('companies_index') }}">Sociétés</a>
                        <hr/>
                    {% endif %}
                    <a href="{{ path('fos_user_security_logout') }}">Se déconnecter</a>
                </div>
            </li>

        {% endif %}
    </ul>

</nav>
<!-- main container of all the page elements -->
<div class="wrapper">
    <div class="w1">
        <!-- contain main informative part of the site -->
        <main id="main" role="main">
            {% block notification %}
                {% if app.request.hasPreviousSession %}
                    {% for type, messages in app.session.flashbag.all() %}
                        {% for message in messages %}
                            <div class="alert alert-{{ type }}">
                                {{ message }}
                            </div>
                        {% endfor %}
                    {% endfor %}
                {% endif %}
            {% endblock %}
            {% block body %}{% endblock %}
            {% block javascripts %}
                <script src="{{ asset('bundles/fosjsrouting/js/router.js') }}"></script>
                <script src="{{ path('fos_js_routing_js', { callback: 'fos.Router.setData' }) }}"></script>
                <script src="{{ asset('app.js') }}"></script>
                <script src="{{ asset('vendor/jquery.fancytree-all.min.js') }}"></script>
                <script>require('app').init()</script>
                <script src="{{ asset('bundles/tetranzselect2entity/js/select2entity.js') }}"></script>
            {% endblock %}
        </main>
    </div>
</div>

</body>
</html>
